<template>
<article id="choice-secteur" class="container">
    <section class="row no-gutters message">
        <div class="col-md-12 columns no-gutters">
            <MessageBox type="simulateur" icon='images/warning.png' message="Les élections ont lieu par secteur. Il n'est pas possible de faire de simulation pour l'ensemble de la ville." />
        </div>
    </section>
    <section class="row no-gutters corps">
        <div class="col-md-12 select">
            <select v-model="selected" @change="onChange()">
                  <option value="-1" disabled selected hidden>Veuillez sélectionner un secteur</option>
                  <option v-for="(option, index) in ville_mere.secteurs" v-bind:key="index" v-bind:value="index">
                    {{ option.Nom_ville }}
                  </option>
            </select>
        </div>
    </section>
    <section class="container">
        <div class="row">
            <RetourRecherche :title="$t('generic.simuleruneautrecommune')" />
        </div>
    </section>
</article>
</template>

<script>

import { villeGetters } from '@/store/ville.js';

import MessageBox from '@/components/simulateur/parts/MessageBox.vue';
import RetourRecherche from '@/components/simulateur/interaction/RetourRecherche.vue';

export default {
  name: 'ChoiceSecteur',
  data () {
    return {
        selected: -1
     }
  },
  computed: {
      ...villeGetters
  },
  components: {
      MessageBox,
      RetourRecherche
  },
  methods: {
    onChange() {
        this.$emit('change', this.selected )
    }
  }
}
</script>
